/*

  ParseICQMessage.rexx - An example of how to parse an ICQ message

  $VER: ParseICQMessage.rexx v2.1 09.04.99 Copyright (C) 1998,1999 Douglas F. McLaughlin

  Written By: Douglas F. McLaughlin 

  Note: URL messages seperate the description from the URL by a ASCII 254 (0xFE).
        It is the responsibility of the ARexx script to delete the file after
        all processing is done.  Each filename will be unique to each message
        so that no filename collisions will occur.

  Note2: Permission is granted to use this script in any form or make any modifications
         as necessary.

*/

parse arg uin type file .

address STRICQ.1 'GETCONTACT UIN='uin

address command 'sys:utilities/say message from 'icqrc.nick

address command 'sys:utilities/say -x 'file

call delete(file)

exit 0
