/* 

  ICQRexxDemo.rexx - Gives the ARexx interface a test run.

*/

address STRICQ.1

status all 'var=statii'  /* Grab the full list of available status' and store to the stem variable 'statii' */

offline = statii-1

say 'Offline = 'offline'; 'statii.offline

status 'set="'statii.0'"'  /* Go Online */

status get

say icqrc

do while icqrc ~= statii.0  /* Wait until server acknowledges the login */
  call delay(50)
  status get
  say icqrc
end

do i = 0 to statii-2  /* Cycle through all status' every four seconds */
  say statii.i
  status 'set="'statii.i'"'
  call delay(200)
end

status 'set='statii.0  /* Leave the script with the client in normal Online status */

getcontact 'uin=8083608' 'var=user'  /* Grab the author's userinfo */

if rc = 5 then say "Why don't you have Black Fire in your contact list?"  /* Chastise */
else say '('user.uin') 'user.nick

getcontact total 'var=tot_users'  /* How many contacts in the list? */

do i = 0 to tot_users-1  /* Loop through all contacts in the list */
  getcontact 'entry='i 'var=user'
  say '('user.uin') 'user.nick' 'user.status
  call delay(10)  /* Delay just a bit to let the client handle any incoming packets */
  if upper(user.status) ~= upper(statii.offline) then do
    sendmessage 'uin='user.uin 'msg="You have just been messaged by STRICQ''s SENDMESSAGE ARexx command."'
    say 'Sent a message to 'user.nick' because he/she is online!'
    call delay(10)
  end
end
