/*

  PreParsePGP.rexx - A simple example of how to encrypt messages with PGP

  $VER: PreParsePGP.rexx v1.0 11.04.99 Copyright (C) 1999 Douglas F. McLaughlin

  Written By: Douglas F. McLaughlin 

  Note: Permission is granted to use this script in any form or make any modifications
        as necessary.

*/

in = 'in'

parse arg uin type file .

address STRICQ.1

getcontact 'UIN='uin 'VAR=USER'

address command

if type = 1 then do
  say 'c:pgpe -r 'user.email' -at 'file
  'c:pgpe -r 'user.email' -at 'file
  call delete(file)
  file = file'.asc'
end

address STRICQ.1

sendmessage 'UIN='uin 'FILE='file

call delete(file)

exit(0)
